#!/bin/bash
# Copyright 1999-2018, Intel Corporation, All Rights Reserved
# This script uninstalls Intel(R) compilers and related packages.

# The  source code,  information and material  ("Material")  contained herein is
# owned  by  Intel  Corporation or its suppliers or licensors, and title to such
# Material  remains  with  Intel  Corporation  or  its  suppliers  or licensors.
# The  Material  contains proprietary information of  Intel or its suppliers and
# licensors.   The Material is protected by  worldwide copyright laws and treaty
# provisions. No part of the Material may be used, copied, reproduced, modified,
# published,  uploaded, posted, transmitted, distributed or disclosed in any way
# without Intel's prior express written permission. No license under any patent,
# copyright  or other intellectual property rights in the Material is granted to
# or conferred upon you, either expressly,  by implication, inducement, estoppel
# or  otherwise.  Any license  under such intellectual  property rights  must be
# express and approved by Intel in writing.
# Unless otherwise agreed by Intel in writing, you may not  remove or alter this
# notice or any other notice embedded in Materials by Intel or Intel's suppliers
# or licensors in any way.

# remove shell directories left behind
REMOVE_EMPTY_DIRS ()
{
    local rootnode="$1"
    local remove_child_only="$2"

    if [ -z "$rootnode" ]; then
       return
    fi

    for dir in $(ls -A $rootnode 2>/dev/null); do
        [[ -d "$rootnode/$dir" ]] && REMOVE_EMPTY_DIRS "$rootnode/$dir" "1"
    done

    rmdir --ignore-fail-on-non-empty $rootnode 1>/dev/null 2>&1
    if [ -z "$remove_child_only" ]; then
        rootnode=$(dirname $rootnode 2> /dev/null)
        while test -z $(echo $rootnode | egrep '^(/|/bin|/boot|/dev|/etc|/lib|/media|/mnt|/opt|/sbin|/srv|/tmp|/usr|/var)$') ; do
           rmdir $rootnode 1>/dev/null 2>&1
           rootnode=$(dirname $rootnode 2> /dev/null)
        done
    fi
}
#THIS_PACKAGEID="l_cprof_b_11.1.044"
THIS_PACKAGEID="compilers_and_libraries_2019.1.144"
PACKAGE="l_comp_lib_2019.1.144"
REMOVAL_DIR=$(dirname $0)
pushd $REMOVAL_DIR > /dev/null 2> /dev/null
REMOVAL_DIR=$(pwd)
popd &>/dev/null

echo "Intel(R) Fortran Compiler 19.0 Update 1 for Linux* Redistribution Content uninstallation program"
# REDIST_CONTENT="lib license.txt jp_license.txt uninstall.sh"
REDIST_CONTENT="${THIS_PACKAGEID} bin credist fredist license.txt uninstall.sh"

echo "Remove redistribution package contents for package $PACKAGE"
echo -n "in directory $REMOVAL_DIR? [YES/no]: "

read CONFIRM
if [ "$CONFIRM" = "yes" ] || [ "$CONFIRM" = "YES" ] \
    || [ "$CONFIRM" = "y" ] || [ "$CONFIRM" = "" ]; then
    REMOVE_CONFIRMED=1
else
    REMOVED_CONFIRMED=0
    echo "Package removal not confirmed ... exiting program."
    exit 0
fi


if [ -e "$REMOVAL_DIR/license.txt" ]; then
    pushd $REMOVAL_DIR > /dev/null 2> /dev/null
    for CONTENT in $REDIST_CONTENT
    do
	if [ -e "$CONTENT" ] ; then
    	    echo "$CONTENT"
    	    rm -rf "$CONTENT"
    	fi
    done
    exit 0
fi



